### Method

# FwupdPlugin Hwids add_value

since: 1.8.10

#### Declaration [src]

    void
    fu_hwids_add_value (
      FuHwids* self,
      const gchar* key,
      const gchar* value
    )

#### Description [src]

Sets override values so you can emulate another system.

This function has no effect if called after fu_hwids_setup().

Available since: 1.8.10

#### Parameters

`key`

  Type: `const gchar*`

  A key, e.g. `FU_HWIDS_KEY_PRODUCT_SKU`.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`value`

  Type: `const gchar*`

  A new value, e.g. `ExampleModel`.

  The argument can be `NULL`.
  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.